;; $Id: dbblock.dsl 0.90 1997/08/18 12:38:27 nwalsh Exp $

(element FOOTNOTE (empty-sosofo)) ;; can't deal with this yet -- revisit
(element HIGHLIGHTS ($block-container$))

(element BLOCKQUOTE
  (make paragraph
	font-size: (* %bf-size% %smaller-size-factor%)
	line-spacing: (* %bf-size% %line-spacing-factor%
			 %smaller-size-factor%)
	space-before: %para-sep%
	start-indent: (+ %body-start-indent% 1em)
	end-indent: 1em
	(process-children-trim)))

(element EPIGRAPH ($block-container$))

(element ATTRIBUTION ($paragraph$))

(element PARA ($paragraph$))
(element SIMPARA ($paragraph$))

(element FORMALPARA ($para-container$))
(element (FORMALPARA TITLE) ($runinhead$))
(element (FORMALPARA PARA) (make sequence (process-children)))

(element SIDEBAR ($block-container$))

(element ABSTRACT (process-children))
(element (ABSTRACT PARA) 
  (if (= (child-number) 1)
      (make paragraph
	use: para-style
	space-before: %para-sep%
	space-after: %para-sep%
	start-indent: %body-start-indent%
	(make sequence
	  start-indent: %body-start-indent%
	  font-weight: 'bold
	  (literal (gentext-element-name "ABSTRACT"))
	  (literal (gentext-label-title-sep "ABSTRACT")))
	(process-children-trim))
      (make paragraph
	use: para-style
	space-before: %para-sep%
	space-after: %para-sep%
	start-indent: %body-start-indent%
	(process-children-trim))))

(element AUTHORBLURB ($block-container$))

(element EXAMPLE 
  (make display-group
    (with-mode block-caption-mode
      (process-first-descendant "TITLE"))
    (process-children)))

(element (EXAMPLE TITLE) (empty-sosofo)) ; don't show caption below example
(element INFORMALEXAMPLE ($block-container$))

(element (FIGURE TITLE) (empty-sosofo)) ; don't show caption below figure

(element FIGURE 
  (make display-group
	(with-mode block-caption-mode
		   (process-first-descendant "TITLE"))
	(process-children)))

(mode block-caption-mode
  (element TITLE
    (let* ((label (element-label (ancestor (gi (parent))))))
      (make paragraph
	use: para-style
	font-weight: 'bold
	space-before: %block-sep%
	space-after: %para-sep%
	keep-with-next?: #t
	(literal
	 (string-append
	  (gentext-element-name-space (gi (parent (current-node))))
	  label
	  (gentext-label-title-sep (gi (parent (current-node))))))
	(process-children-trim)))))


