<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN">

<style-specification id="docbook-l10n-usen">

;; $Id: dbl1dege.dsl 0.90 1997/08/18 12:38:27 nwalsh Exp $

;; ----------------------------- Localization -----------------------------

;; If you create a new version of this file, please send it to
;; Norman Walsh, norm@berkshire.net


;; The generated text for cross references to elements.  See dblink.dsl
;; for a discussion of how substitution is performed on the %x and #x
;; keywords.
;;
(define (gentext-xref-strings giname)
  (case giname
    (("APPENDIX") "Anhang %n")
    (("CHAPTER") "Kapitel %n")
    (("EXAMPLE") "Beispiel %n")
    (("FIGURE") "Abbildung %n")
    (("PART") "Teil %n")
    (("PREFACE") "%t")
    (("PROCEDURE") "Prozedur %n, %t")
    (("SECT1") (if %section-autolabel% 
		   "Abschnitt %n" 
		   "the section called %t#c"))
    (("SECT2") (if %section-autolabel% 
		   "Abschnitt %n" 
		   "the section called %t#c"))
    (("SECT3") (if %section-autolabel% 
		   "Abschnitt %n" 
		   "the section called %t#c"))
    (("SECT4") (if %section-autolabel% 
		   "Abschnitt %n" 
		   "the section called %t#c"))
    (("SECT5") (if %section-autolabel% 
		   "Abschnitt %n" 
		   "the section called %t#c"))
    (("STEP") "Schritt %n#k")
    (("TABLE") "Tabelle %n")
    (else (string-append "[Referenz zu " 
			 (if giname 
			     giname
			     "non-existant element")
			 " wird nicht untersttzt]"))))


;; Indirection in the generated text for cross references.  The first
;; element of the list is used for cross references across element
;; boundries, the second element is used for cross references within
;; the same element
;;
(define (gentext-xref-strings-indirect key)
  (case key
    (("b") '("" ""))
    (("c") '(" in %cg %cn" ""))
    (("d") '("" ""))
    (("k") '(" in %kg %kn" ""))
    (("s") '("" ""))))


;; Should the TOC come first or last?
;;
(define %generate-toc-in-front% #t)

;; gentext-element-name returns the generated text that should be 
;; used to make reference to the selected element.
;;
(define (gentext-element-name giname)
  (case giname
    (("ABSTRACT") "Auszug")
    (("APPENDIX") "Anhang")
    (("CAUTION") "ACHTUNG")
    (("CHAPTER") "Kapitel")
    (("COPYRIGHT") "Copyright")
    (("EXAMPLE") "Beispiel")
    (("FIGURE") "Abbilding")
    (("IMPORTANT") "WICHTIG")
    (("NOTE") "Bemerkung")
    (("PART") "Teil")
    (("PREFACE") "Vorwort")
    (("PROCEDURE") "Prozedur")
    (("REFNAME") "Name")
    (("REVHISTORY") "Revisionsgeschichte")
    (("REVISION") "Revision")
    (("SECT1") "Abschnitt")
    (("SECT2") "Abschnitt")
    (("SECT3") "Abschnitt")
    (("SECT4") "Abschnitt")
    (("SECT5") "Abschnitt")
    (("STEP") "Schritt")
    (("TABLE") "Tabelle")
    (("TIP") "HINWEIS")
    (("TOC") "Inhaltsverzechnis")
    (("WARNING") "WARNUNG")
    (else (string-append "UNERWARTETER ELEMENT-NAME: " giname))))

;; gentext-element-name-space returns gentext-element-name with a 
;; trailing space, if gentext-element-name isn't "".
;;
(define (gentext-element-name-space giname)
  (string-with-space (gentext-element-name giname)))

;; gentext-intra-label-sep returns the seperator to be inserted
;; between multiple occurances of a label (or parts of a label)
;; for the specified element.  Most of these are for enumerated
;; labels like "Figure 2-4", but this function is used elsewhere
;; (e.g. REFNAME) with a little abuse.
;;
(define (gentext-intra-label-sep giname)
  (case giname
    (("EXAMPLE") "-")
    (("FIGURE") "-")
    (("PROCEDURE") ".")
    (("REFNAME") ", ")
    (("REFSECT1") ".")
    (("REFSECT2") ".")
    (("REFSECT3") ".")
    (("SECT1") ".")
    (("SECT2") ".")
    (("SECT3") ".")
    (("SECT4") ".")
    (("SECT5") ".")
    (("STEP") ".")
    (("TABLE") "-")
    (("_pagenumber") "-")  ;; page number psuedo element
    (else "")))

;; gentext-label-title-sep returns the seperator to be inserted
;; between a label and the text following the label for the
;; specified element.  Most of these are for use between
;; enumerated labels and titles like "1. Chapter One Title", but
;; this function is used elsewhere (e.g. NOTE) with a little
;; abuse.
;;
(define (gentext-label-title-sep giname)
  (case giname
    (("ABSTRACT") ": ")
    (("APPENDIX") ". ")
    (("CAUTION") "")
    (("CHAPTER") ". ")
    (("EXAMPLE") ". ")
    (("FIGURE") ". ")
    (("IMPORTANT") ": ")
    (("NOTE") ": ")
    (("ORDEREDLIST") ". ")
    (("PART") ". ")
    (("PROCEDURE") ". ")
    (("PREFIX") ". ")
    (("REFSECT1") ". ")
    (("REFSECT2") ". ")
    (("REFSECT3") ". ")
    (("SECT1") ". ")
    (("SECT2") ". ")
    (("SECT3") ". ")
    (("SECT4") ". ")
    (("SECT5") ". ")
    (("STEP") ":")
    (("TABLE") ". ")
    (("TIP") ": ")
    (("WARNING") "")
    (else "")))

(define %gentext-by% "von") ;; e.g. Copyright 1997 "by" A. Nonymous
                           ;; Authored "by" Jane Doe

(define %gentext-page% "Seite")

(define %gentext-start-quote%  (dingbat "ldquo"))

(define %gentext-end-quote%  (dingbat "rdquo"))

(define %gentext-and% "und")

</style-specification>
