;; $Id: dbverb.dsl 0.91 1997/08/28 14:09:41 nwalsh Exp $

(define ($verbatim-display$)
  (let* ((width-in-chars
	  (if (attribute-string "width")
	      (string->number (attribute-string "width"))
	    80)) ;; the default is a maximum line length of 80 chars
	 (fsize (lambda () (/ (/ (- %text-width% (inherited-start-indent))
	     width-in-chars) 0.7))))
    (make paragraph
	  space-before: (if (INLIST?) %para-sep% %block-sep%)
	  space-after:  (if (INLIST?) %para-sep% %block-sep%)
	  font-family-name: %mono-font-family%
	  font-size: (fsize)
	  font-weight: 'medium
	  font-posture: 'upright
	  line-spacing: (* (fsize) %line-spacing-factor%)
	  start-indent: (inherited-start-indent)
	  lines: 'asis
          input-whitespace-treatment: 'preserve
	  quadding: 'start
	  (process-children))))

(define ($linespecific-display$)
  (let* ((width-in-chars
	  (if (attribute-string "width")
	      (string->number (attribute-string "width"))
	    80)) ;; the default is a maximum line length of 80 chars
	 (fsize (lambda () (/ (/ (- %text-width% (inherited-start-indent))
	     width-in-chars) 0.7))))
    (make paragraph
	  space-before: (if (INLIST?) %para-sep% %block-sep%)
	  space-after:  (if (INLIST?) %para-sep% %block-sep%)
	  start-indent: (inherited-start-indent)
;;	  start-indent: (if (INLIST?)
;;			    (+ (inherited-start-indent) (ILSTEP))
;;			    %body-start-indent%)
	  lines: 'asis
          input-whitespace-treatment: 'preserve
	  quadding: 'start
	  (process-children))))

(element LITERALLAYOUT ($linespecific-display$))
(element ADDRESS ($linespecific-display$))
(element PROGRAMLISTING ($verbatim-display$))
(element SCREEN ($verbatim-display$))

;; screenshot is a graphic with possible screeninfo
;; *** TO DO: deal with this
(element SCREENSHOT (process-children))
(element SCREENINFO ($paragraph$))

