<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY localization SYSTEM "dbl1usen.dsl" CDATA DSSSL>
<!ENTITY dbparam.dsl  SYSTEM "dbparam.dsl">
<!ENTITY dbadmon.dsl  SYSTEM "dbadmon.dsl">
<!ENTITY dbautoc.dsl  SYSTEM "dbautoc.dsl">
<!ENTITY dbbibl.dsl   SYSTEM "dbbibl.dsl">
<!ENTITY dbblock.dsl  SYSTEM "dbblock.dsl">
<!ENTITY dbcallou.dsl SYSTEM "dbcallou.dsl">
<!ENTITY dbcommon.dsl SYSTEM "dbcommon.dsl">
<!ENTITY dbcompon.dsl SYSTEM "dbcompon.dsl">
<!ENTITY dbdivis.dsl  SYSTEM "dbdivis.dsl">
<!ENTITY dbgloss.dsl  SYSTEM "dbgloss.dsl">
<!ENTITY dbgraph.dsl  SYSTEM "dbgraph.dsl">
<!ENTITY dbindex.dsl  SYSTEM "dbindex.dsl">
<!ENTITY dbinfo.dsl   SYSTEM "dbinfo.dsl">
<!ENTITY dbinline.dsl SYSTEM "dbinline.dsl">
<!ENTITY dblib.dsl    SYSTEM "dblib.dsl">
<!ENTITY dblink.dsl   SYSTEM "dblink.dsl">
<!ENTITY dblists.dsl  SYSTEM "dblists.dsl">
<!ENTITY dblot.dsl    SYSTEM "dblot.dsl">
<!ENTITY dbmath.dsl   SYSTEM "dbmath.dsl">
<!ENTITY dbmsgset.dsl SYSTEM "dbmsgset.dsl">
<!ENTITY dbprocdr.dsl SYSTEM "dbprocdr.dsl">
<!ENTITY dbrfntry.dsl SYSTEM "dbrfntry.dsl">
<!ENTITY dbsect.dsl   SYSTEM "dbsect.dsl">
<!ENTITY dbsynop.dsl  SYSTEM "dbsynop.dsl">
<!ENTITY dbtable.dsl  SYSTEM "dbtable.dsl">
<!ENTITY dbtitle.dsl  SYSTEM "dbtitle.dsl">
<!ENTITY dbttlpg.dsl  SYSTEM "dbttlpg.dsl">
<!ENTITY dbverb.dsl   SYSTEM "dbverb.dsl">
]>

<style-specification id="docbook" use="docbook-localization">

;; $Id: docbook.dsl 0.89 1997/08/05 19:05:35 nwalsh Exp $

(define debug
  (external-procedure "UNREGISTERED::James Clark//Procedure::debug"))

(declare-characteristic preserve-sdata?
          "UNREGISTERED::James Clark//Characteristic::preserve-sdata?"
          #f)

&dbadmon.dsl;   <!-- Admonitions                                           -->
&dbautoc.dsl;   <!-- Automatic TOC generation                              -->
&dbbibl.dsl;    <!-- Bibliographies                                        -->
&dbblock.dsl;   <!-- Miscellaneous block elements                          -->
&dbcallou.dsl;  <!-- Callouts                                              -->
&dbcommon.dsl;  <!-- Common ("stock") stylesheet functions                 -->
&dbcompon.dsl;  <!-- Components; chapter-level elements                    -->
&dbdivis.dsl;   <!-- Divisions; Sets, Books, Articles, Parts               -->
&dbgloss.dsl;   <!-- Glossaries                                            -->
&dbgraph.dsl;   <!-- Graphics                                              -->
&dbindex.dsl;   <!-- Indexes                                               -->
&dbinfo.dsl;    <!-- Infopools (SetInfo, BookInfo, Sect1Info, etc.)        -->
&dbinline.dsl;  <!-- Inline elements                                       -->
&dblib.dsl;     <!-- Library functions that I don't know where else to put -->
&dblink.dsl;    <!-- Links                                                 -->
&dblists.dsl;   <!-- Lists                                                 -->
&dblot.dsl;     <!-- Lists of Tables (ToC, LoT, etc.)                      -->
&dbmath.dsl;    <!-- Math (Equations)                                      -->
&dbmsgset.dsl;  <!-- MsgSet                                                -->
&dbparam.dsl;   <!-- General parameters                                    -->
&dbprocdr.dsl;  <!-- Procedures                                            -->
&dbrfntry.dsl;  <!-- References and RefEntrys                              -->
&dbsect.dsl;    <!-- Sections                                              -->
&dbsynop.dsl;   <!-- Synopsis                                              -->
&dbtable.dsl;   <!-- Tables                                                -->
&dbtitle.dsl;   <!-- Titles                                                -->
&dbttlpg.dsl;   <!-- Title Page                                            -->
&dbverb.dsl;    <!-- Verbatim (ProgramListing, LiteralLayout, etc.)        -->

;; ----------------------------------------------------------------------
;; DSSSL style sheet for DocBook 2.x and 3.x print output
;;
;; Jon Bosak, Sun Microsystems
;; CALS table formatting by Anders Berglund, EBT
;; Recent additions by Norman Walsh (see notes below)
;;
;; Other contributors: Tony Graham, Terry Allen, and of course
;;   James Clark
;;
;; This stylesheet is broken into the modules.  Most of these
;; modules are taken directly from Jon's original structure, but
;; I've moved a few things around.  If you find elements in the
;; wrong module, please let me know.

;; ######################################################################

;; ADDITIONAL CHANGES in README

;; Changes from 0.83 to 0.84 by Norman Walsh (norm@berkshire.net).
;; Modularity achieved with entities rather than separate style
;;   specifications
;; Combined dbfeatr.dsl, dbmswin.dsl, and dbparam.dsl---customization
;;   is easy with a style-specification so keeping these units separate
;;   no longer seems necessary.  See plain.dsl and notoc.dsl in the
;;   distribution.
;; Added support for SegmentedList (not for any particular reason, after
;;   fiddling with modularity for several days, I just wanted to make
;;   something new work ;-)

;; Changes from 0.82 to 0.83 by Norman Walsh (norm@berkshire.net),
;; Fixed bug in dbcompon.dsl, CHAP-APP-HEAD-LABEL was not l10n aware.
;;   Thanks to Taranov Alexander
;; Reordered USE declarations in dbmain.dsl.  I think this fixes the
;;   problems of incorrect declarations due to multiple style-specifications,
;;   but I'm far from sure.

;; Changes from 0.81 to 0.82 by Norman Walsh (norm@berkshire.net),
;; Added dbl10n.dsl, localization of generated text and placement of TOC
;;   current version only contains us-english; send me your updates
;; Changed functions that create bullets and other marks to use Unicode 
;;   names, making them font/platform independent
;; Some of the files have internal version numbers of 0.81...that's an error
;;   and I expect to get them back in sync for the next version...

;; Changes from 0.80 to 0.81 by Norman Walsh (norm@berkshire.net),
;; Supplied by James Bostock
;;   added an entry for the PROMPT element.
;;   added a variable %default-quadding% - the stylesheet
;;	so far has always specified the quadding as 'start
;;   added %paper-size% from Richard Light's TEI-Lite stylesheet
;;   added %page-number-restart% - the stylesheet
;;	so far has restarted the numbering at each chapter. If this
;;	variable is set to #f, the numbering is continuous, and only
;;	the page number is printed, as opposed to "Page x-y".

;; Changes from db070.dsl by Norman Walsh (norm@berkshire.net)
;;   modularity, version is now 0.80

;; Changes from db069.dsl by Norman Walsh (norm@berkshire.net)
;;   Added redimentary support for book title pages
;;     BOOKINFO is used to produce the title page
;;     On the recto side:
;;        TITLE
;;        AUTHOR or AUTHORGROUP
;;          AUTHOR names and AFFILIATIONs
;;     On the verso side:
;;        All the children of BOOKINFO; the code here supports
;;        TITLE, AUTHORGROUP, COPYRIGHT, LEGALNOTICE and anything else
;;        in the stylesheet, of course.
;;   Added %generate-titlepage% to toggle title page creation
;;   Added %generate-toc% to toggle automatic TOC generation
;;   Added function author-string to return the contents of an AUTHOR
;;     element as a formatted string
;;   Added function author-list-string to return the contents of an AUTHOR
;;     element as a formatted string in a list of authors in an AUTHORGROUP
;;     (adds appropriate punctuation around (author-string))
;;   The following elements are no longer (empty-sosofo):
;;      BOOKINFO, AUTHOR, AUTHOGROUP, COPYRIGHT, YEAR, HOLDER, LEGALNOTICE
;;      ORGNAME, HONORIFIC, FIRSTNAME, OTHERNAME, SURNAME, LINEAGE
;;   Redefined handling of BOOK to better support title pages and TOCs
;;      (individually or in combination)
;;   Added the (C) copyright symbol to the list of accessible bullets.

;; Changes from db068b.dsl by Norman Walsh (norm@berkshire.net)
;;   made several of the link elements $charseq$ not empty-sosofo
;;      (even if we don't know what to do with the link, we keep the text)
;;   added $linespecific-display$, like $verbatim-display$ but doesn't switch
;;      to monospace font.  Made LITERALLAYOUT $linespecific-display.
;;      added ADDRESS as $linespecific-display$
;;   added support for simplelist type=inline
;;   added %refentry-generate-name% to control output of NAME in RefEntrys
;;   added %refentry-function% to control output of () in RefEntrys
;;   integrated automatic TOC generation (supplied by Jon) into Book

;; changes from 0.63 (last public release):
;;   all "start-indent: (inherited-start-indent)" removed
;;   n-rows spanned fixed for DocBook 3.0
;;   PART moved from component to division
;;   entityref handling fixed in graphics

;; ######################################################################
;;
;; To do:
;;   footnotes
;;   refmiscinfo, refdescriptor
;;   toc, lot
;;   calloutlist, callout
;;   screenshot, screeninfo, areaspec, area, areaset
;;   programlistingco, screenco, graphicco
;;   equation, informalequation, inlineequation
;;   syntax definition stuff
;;   index stuff
;;
;; ######################################################################

</style-specification>

<external-specification id="docbook-localization" document="localization">
